<?xml version="1.0" encoding="UTF-8"?>

<!--
 *
 * This help file was generated from nan_histo3.sci using help_from_sci().
 *
 -->

<refentry version="5.0-subset Scilab" xml:id="nan_histo3" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:scilab="http://www.scilab.org"
          xmlns:db="http://docbook.org/ns/docbook">

  <refnamediv>
    <refname>nan_histo3</refname>
    <refpurpose>calculates histogram for multiple columns with common bin values  among all data columns, and can be useful for data compression.</refpurpose>
  </refnamediv>


<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   R = nan_histo3(Y)
   R = nan_histo3(Y,W)
   [R,tix] = nan_histo3(Y)
   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Parameters</title>
   <variablelist>
   <varlistentry><term>Y :</term>
      <listitem><para>    data</para></listitem></varlistentry>
   <varlistentry><term>W :</term>
      <listitem><para>    weight vector containing weights of each sample, number of rows of Y and W must match. default W=[] indicates that each sample is weighted with 1. R : is a struct with th fields</para></listitem></varlistentry>
   <varlistentry><term>R :</term>
      <listitem><para>    struct with these fields</para></listitem></varlistentry>
   <varlistentry><term>R.X :</term>
      <listitem><para>the bin-values, bin-values are equal for each channel thus R.X is a column vector. If bin values should be computed separately for each data column, use nan_histo2</para></listitem></varlistentry>
   <varlistentry><term>R.H :</term>
      <listitem><para> is the frequency of occurence of value X</para></listitem></varlistentry>
   <varlistentry><term>R.N  :</term>
      <listitem><para> are the number of valid (not %nan) samples</para></listitem></varlistentry>
   <varlistentry><term>tix :</term>
      <listitem><para> enables compression</para></listitem></varlistentry>
   <varlistentry><term>R.tix:</term>
      <listitem><para> provides a compressed data representation.</para></listitem></varlistentry>
   <varlistentry><term>R.compressionratio :</term>
      <listitem><para> estimates the compression ratio</para></listitem></varlistentry>
   <varlistentry><term>R.X(tix) and R.X(R.tix):</term>
      <listitem><para> reconstruct the orginal signal (decompression)</para></listitem></varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Description</title>
   <para>
Data compression can be performed in this way
   </para>
   <para>
[R,tix] = histo3(Y)     is the compression step
   </para>
   <para>
The effort (in memory and speed) for compression is O(n*log(n)).
   </para>
   <para>
The effort (in memory and speed) for decompression is O(n) only.
</para>
</refsection>

<refsection>
   <title>Examples</title>
   <programlisting role="example"><![CDATA[
x= [ 9 9 9 9 2 2 3 3 4 5 9 ]';
[R,tix]=nan_histo3(x)
disp(R.X(R.tix))
   ]]></programlisting>
</refsection>

<refsection>
   <title>Bibliography</title>
   <para>C.E. Shannon and W. Weaver "The mathematical theory of communication" University of Illinois Press, Urbana 1949 (reprint 1963).</para>
</refsection>

<refsection>
   <title>See also</title>
   <simplelist type="inline">
   <member><link linkend="nan_histo">nan_histo</link></member>
   <member><link linkend="nan_histo2">nan_histo2</link></member>
   <member><link linkend="nan_histo4">nan_histo4</link></member>
   </simplelist>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>Copyright (C) 1996-2002,2008 by Alois Schloegl a.schloegl@ieee.org</member>
   <member>H. Nahrstaedt - 2010</member>
   </simplelist>
</refsection>
</refentry>
